Clara-Backend
  1. Transaction
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • API Key
      • View
      • Reset
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
      • Analysis
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • Transaction
      • View All
        GET
      • View
        GET
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  1. Transaction

View All

Prod Env
Prod Env
GET
/users/{user_id}/transactions
This endpoint lets a user view all of their transactions on Clara. Pagination works exactly like it does in PostgreSQL.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Query Params

Responses

🟢200Success
text/plain
🟠401Unauthorized
🟠403Forbidden
🟠404Resource Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET '/users/user_ac19b010fec5428a8ae131596731b7c8/transactions?limit=5&offset=2' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
  "data": [
    {
      "created_at": "Thu, 27 Nov 2025 00:39:09 GMT",
      "description": "Admin updated credits from 0.0 to 10.0.",
      "id": "transaction_52d462f898e54b3983c186567259b74a",
      "type": "CREDIT",
      "updated_at": "Thu, 27 Nov 2025 00:39:09 GMT",
      "user_id": "user_31e827070dcf44198ec11a9112a9a572",
      "value_in_credits": 10.0,
      "value_in_fiat": 0.1
    },
    {
      "created_at": "Thu, 27 Nov 2025 00:39:14 GMT",
      "description": "Admin updated credits from 10.0 to 20.0.",
      "id": "transaction_7b3fff8a4a124f41a66c9a15560b3885",
      "type": "CREDIT",
      "updated_at": "Thu, 27 Nov 2025 00:39:14 GMT",
      "user_id": "user_31e827070dcf44198ec11a9112a9a572",
      "value_in_credits": 10.0,
      "value_in_fiat": 0.1
    },
    {
      "created_at": "Thu, 27 Nov 2025 00:39:18 GMT",
      "description": "Admin updated credits from 20.0 to 30.0.",
      "id": "transaction_192f46aef86e4bbea42ada6a5764478b",
      "type": "CREDIT",
      "updated_at": "Thu, 27 Nov 2025 00:39:18 GMT",
      "user_id": "user_31e827070dcf44198ec11a9112a9a572",
      "value_in_credits": 10.0,
      "value_in_fiat": 0.1
    },
    {
      "created_at": "Thu, 27 Nov 2025 00:39:21 GMT",
      "description": "Admin updated credits from 30.0 to 20.0.",
      "id": "transaction_969b5fe9958143eba30ddf9c59e8fd2c",
      "type": "DEBIT",
      "updated_at": "Thu, 27 Nov 2025 00:39:21 GMT",
      "user_id": "user_31e827070dcf44198ec11a9112a9a572",
      "value_in_credits": 10.0,
      "value_in_fiat": 0.1
    },
    {
      "created_at": "Thu, 27 Nov 2025 00:39:24 GMT",
      "description": "Admin updated credits from 20.0 to 40.0.",
      "id": "transaction_ba7f8f36355540f1a93d1af78a7fe2ef",
      "type": "CREDIT",
      "updated_at": "Thu, 27 Nov 2025 00:39:24 GMT",
      "user_id": "user_31e827070dcf44198ec11a9112a9a572",
      "value_in_credits": 20.0,
      "value_in_fiat": 0.2
    }
  ],
  "message": "Transactions fetched successfully.",
  "status": "success"
}
Modified at 2025-12-10 10:18:35
Previous
Transaction
Next
View
Built with